%define upstream_name    Mock-Sub
%define upstream_version 1.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Provides for Mock::Sub
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Mock/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Easy to use and very lightweight module for mocking out sub calls. Very
useful for testing areas of your own modules where getting coverage may be
difficult due to nothing to test against, and/or to reduce test run time by
eliminating the need to call subs that you really don't want or need to
test.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jun 25 2025 umeabot <umeabot> 1.90.0-2.mga10
+ Revision: 2194886
- Mageia 10 Mass Rebuild

* Mon Mar 14 2022 tv <tv> 1.90.0-1.mga9
+ Revision: 1790933
- imported package perl-Mock-Sub


* Mon Mar 14 2022 Thierry Vignaud <tv@mageia.org> 1.90.0-1.mga9
- initial mageia release, generated with cpan2dist
